Clamd client(1)

NAME

clamdscan - scan files and directories for viruses using Clam AntiVirus Daemon

SYNOPSIS

clamdscan [options] [file/directory]

DESCRIPTION

clamdscan is a clamd client which may be used as a clamscan replacement. It accepts all the options implemented in clamscan but most of them will be ignored because its scanning abilities only depend on clamd.

OPTIONS

-h, --help
    Display help information and exit.

-V, --version
    Print version number and exit.

-v, --verbose
    Be verbose.

--quiet
    Be quiet - only output error messages.

--stdout
    Write all messages (except for libclamav output) to the standard output (stdout).

--config-file=FILE
    Read clamd settings from FILE.

-l FILE, --log=FILE
    Save the scan report to FILE.

-f FILE, --file-list=FILE
    Scan files listed line by line in FILE.

-m, --multiscan
    In multiscan mode several files are scanned in parallel, one for each available scan thread in clamd. This is achieved either via MULTISCAN or IDSESSION requests, depending on the configuration and other options. Can be combined with --fdpass (see below)

--remove
    Remove infected files. Be careful.

--move=DIRECTORY
    Move infected files into DIRECTORY.

--no-summary
    Do not display summary at the end of scanning.

--reload
    Request clamd to reload virus database.

--fdpass
    Pass the file descriptor permissions to clamd. This is useful if clamd is running as a different user as it is faster than streaming the file to clamd. Only available if connected to clamd via local(unix) socket.

--stream
    Forces file streaming to clamd. This is generally not needed as clamdscan detects automatically if streaming is required. This option only exists for debugging and testing purposes, in all other cases --fdpass is preferred.

EXAMPLES

(0) To scan a one file:
    clamdscan file

(1) To scan a current working directory:
    clamdscan

(2) To scan all files in /home:
    clamdscan /home

(3) To scan a file when clamd is running as a different user:
    clamdscan --fdpass ~/downloads

(4) To scan from standard input:
    clamdscan - <file_to_scan cat file_to_scan | clamdscan -

RETURN CODES

0 : No virus found.

1 : Virus(es) found.

2 : An error occured.

CREDITS
Please check the full documentation for credits.

AUTHOR

Tomasz Kojm <tkojm@clamav.net>

SEE ALSO

clamd(8), clamd.conf(5), clamscan(1), freshclam(1)